Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security.wsse
Interface Token

All Known Subinterfaces:
  BinarySecurityToken, UsernameToken

Deprecated. please use new WS Security API

    public interface Token

Method Summary
`X509Certificate` | `getCertificate()` Deprecated. Returns the certificate associated with the token if available.
`X509Certificate[]` | `getCertificateChain()` Deprecated. Returns the certicate chain associated with the token if available.
`String` | `getId()` Deprecated. Returns the ID attribute of the Token.
`PrivateKey` | `getPrivateKey()` Deprecated. Returns the private key associated with the token, if available.
`PublicKey` | `getPublicKey()` Deprecated. Returns the public key assocaited with the token, if any.
`Key` | `getSecretKey()` Deprecated. Returns the secret key associated with the token if available.

Method Detail

### getId

    String getId()

  Deprecated.
  Returns the ID attribute of the Token. The ID is used to connect the token to signatures and encrypted keys.

  Returns:

### getPublicKey

    PublicKey getPublicKey()

  Deprecated.
  Returns the public key assocaited with the token, if any.

  Returns:

### getPrivateKey

    PrivateKey getPrivateKey()

  Deprecated.
  Returns the private key associated with the token, if available.

  Returns:

### getCertificate

    X509Certificate getCertificate()

  Deprecated.
  Returns the certificate associated with the token if available.

  Returns:

### getCertificateChain

    X509Certificate[] getCertificateChain()

  Deprecated.
  Returns the certicate chain associated with the token if available.

  Returns:

### getSecretKey

    Key getSecretKey()

  Deprecated.
  Returns the secret key associated with the token if available.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD